Summary: The GNU fileutils, sh-utils and textutils combined
Name: coreutils
Version: 5.2.1
Release: 1tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.gnu.org/gnu/coreutils/coreutils-%{version}.tar.bz2

Source4: DIR_COLORS
Source5: su.pamd.trustix
Source6: coreutils-5.0-selinux.patch
Patch1: fileutils-4.0-spacedir.patch
Patch2: coreutils-5.2.1-pam.patch
Patch3: coreutils-5.0-su-chroot.patch
Patch4: coreutils-5.2.1-columns.patch
Patch5: coreutils-5.2.1-acl.patch
Patch6: coreutils-5.2.1-aclcompile.patch
Buildroot: /var/tmp/%{name}-root
BuildRequires: texinfo gettext libtermcap-devel pam-devel help2man
Requires:  pam
Provides: sh-utils = %{version}, textutils = %{version}, fileutils = %{version}, stat = %{version}
Obsoletes: sh-utils, textutils, fileutils, stat

%description
The GNU coreutils includes a number of GNU versions of common and popular
utilites which used to be part of the fileutils, sh-utils and textutils.

You should install the coreutils package, because it includes many
utilities that you'll use frequently.

%package doc
Summary: Various documentation bits found in the coreutils source.
Group: Trustix Official
Prereq: htmlinfo

%description doc
This package contains documentation files form the coreutils package.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%{?use_selinux: patch -p1 < %{SOURCE6}}

%build
%configure --disable-nls --enable-pam %{?use_selinux: --enable-selinux}
make all CPPFLAGS="-DUSE_PAM" su_LDFLAGS="-lpam -lpam_misc"

make

cd doc
makeinfo --html --no-split %{name}.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

#make prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT} DESTDIR=$RPM_BUILD_ROOT install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/DIR_COLORS
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/su
mkdir -p $RPM_BUILD_ROOT/usr/share/html/%{name}/
install -m 644 doc/%{name}.html $RPM_BUILD_ROOT/usr/share/html/%{name}/

# Move chroot binary to /usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/chroot $RPM_BUILD_ROOT/usr/sbin/chroot

# Remove stuff provided by other packages:
rm -f $RPM_BUILD_ROOT/usr/bin/{hostname,uptime,kill} \
	$RPM_BUILD_ROOT/usr/share/man/man1/{hostname,uptime,kill}.1

# Fix test symlink
rm -f $RPM_BUILD_ROOT/usr/bin/[
ln -sf test $RPM_BUILD_ROOT/usr/bin/[

# Remove info pages:
rm -rf $RPM_BUILD_ROOT/usr/info
rm -rf $RPM_BUILD_ROOT/usr/share/info

# Remove locales settings:
rm -rf $RPM_BUILD_ROOT/usr/share/locale

# This binaries shoud be in /bin:
mkdir -p $RPM_BUILD_ROOT/bin
pushd $RPM_BUILD_ROOT/usr/bin
for i in basename cat chgrp chmod chown cp date dd df echo false \
	ln ls mkdir mknod mv nice pwd rm rmdir sleep sort stty sync true  \
        uname touch;do
	mv $i ../../bin/
done
popd



%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post doc
/usr/sbin/htmlinfo_update.sh

%preun doc
if [ $1 = 0 ]; then
        /usr/sbin/htmlinfo_update.sh
fi

%files
%defattr(-,root,root)
%config /etc/DIR_COLORS
%config(noreplace) /etc/pam.d/su
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO

/bin/*
/usr/bin/*
/usr/sbin/*
%{_mandir}/man1/*

%files doc
%defattr(-,root,root)
%{_prefix}/share/html/%{name}

%changelog
* Sat Sep 18 2004 Erlend Midttun <erlendbm at trustix dot org> 5.2.1-1tr
- New upstream.

* Tue Feb 10 2004 Oystein Viggen <oysteivi at trustix dot org> 5.0-11tr
- Patch for acl support
- Conditionally patch for selinux support

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot org> 5.0-10tr
- Big rebuild

* Thu Oct  6 2003 Chr. Toldnes <christht at trustix dot org> 5.0-9tr
- /bin/ls security patch (patch4)

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 5.0-8tr
- Rebuilt with -tr.

* Mon Jun 30 2003 Goetz Bock <bock at tristix dot org> 5.0-7bg
- added a small note about the chroot feature of su to the manpage

* Fri Jun 27 2003 Erlend Midttun <erlendbm at trustix dot com> 5.0-6tr
- Rebuilt with -tr.

* Thu Jun 26 2003 Goetz Bock <bock at trustix dot org> coreutils-5.0-5bg
- added patch (3) to allow su to chroot as well

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 5.0-4tr
- Added %defattr.
- Added %provides for compatibility.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 5.0-3tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix.com> 5.0-2em
- Removed PreReq

* Sun May 25 2003 Erlend Midttun <erlendbm at trustix.com> 5.0-1em
- Initial merge from the spec files of the previous packages.

